The BOOST_PP_INTERCEPT macro intercepts a numeric concatenation and expands to nothing.

#### Usage

BOOST_PP_INTERCEPT

#### Remarks

This macro is used to intercept concatenations performed by various other library constructs. It is typically used after other text to prevent eat the concatenation expand to nothing. This macro can only intercept integer constants in the range of 0 to BOOST_PP_LIMIT_MAG.

#### See Also

- BOOST_PP_LIMIT_MAG

#### Requirements

Header: <boost/preprocessor/facilities/intercept.hpp>

#### Sample Code

    #include <boost/preprocessor/facilities/intercept.hpp>
    #include <boost/preprocessor/repetition/enum_binary_params.hpp>

    BOOST_PP_ENUM_BINARY_PARAMS(3, class T, = U)
    // expands to class T0 = U0, class T1 = U1, class T2 = U2

    BOOST_PP_ENUM_BINARY_PARAMS(3, class T, = int BOOST_PP_INTERCEPT)
    // expands to class T0 = int, class T1 = int, class T2 = int